NullHibernateStats (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class NullHibernateStats

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.NullHibernateStats

All Implemented Interfaces:
  NotificationBroadcaster, NotificationEmitter, net.sf.ehcache.hibernate.management.api.HibernateStats

    public final class NullHibernateStats

extends Object
implements net.sf.ehcache.hibernate.management.api.HibernateStats

Implementation of `HibernateStats` that does nothing

Field Summary
`static net.sf.ehcache.hibernate.management.api.HibernateStats` | `INSTANCE` Singleton instance.

Fields inherited from interface net.sf.ehcache.hibernate.management.api.HibernateStats
`CACHE_ENABLED, CACHE_FLUSHED, CACHE_REGION_CHANGED, CACHE_REGION_FLUSHED, CACHE_STATISTICS_ENABLED, CACHE_STATISTICS_RESET`

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)`
`void` | `clearStats()`
`void` | `disableStats()`
`void` | `enableStats()`
`TabularData` | `getCacheRegionStats()`
`long` | `getCloseStatementCount()`
`TabularData` | `getCollectionStats()`
`long` | `getConnectCount()`
`long` | `getDBSQLExecutionSample()` Not supported right now
`TabularData` | `getEntityStats()`
`long` | `getFlushCount()`
`MBeanNotificationInfo[]` | `getNotificationInfo()`
`long` | `getOptimisticFailureCount()`
`long` | `getPrepareStatementCount()`
`long` | `getQueryExecutionCount()`
`double` | `getQueryExecutionRate()`
`long` | `getQueryExecutionSample()`
`TabularData` | `getQueryStats()`
`long` | `getSessionCloseCount()`
`long` | `getSessionOpenCount()`
`long` | `getSuccessfulTransactionCount()`
`long` | `getTransactionCount()`
`boolean` | `isStatisticsEnabled()`
`void` | `removeNotificationListener(NotificationListener listener)`
`void` | `removeNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)`
`void` | `setStatisticsEnabled(boolean flag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final net.sf.ehcache.hibernate.management.api.HibernateStats INSTANCE

  Singleton instance.

Method Detail

### clearStats

    public void clearStats()

  Specified by:
    `clearStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.clearStats()`

### disableStats

    public void disableStats()

  Specified by:
    `disableStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.disableStats()`

### enableStats

    public void enableStats()

  Specified by:
    `enableStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.enableStats()`

### getCloseStatementCount

    public long getCloseStatementCount()

  Specified by:
    `getCloseStatementCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getCloseStatementCount()`

### getCollectionStats

    public TabularData getCollectionStats()

  Specified by:
    `getCollectionStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getCollectionStats()`

### getConnectCount

    public long getConnectCount()

  Specified by:
    `getConnectCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getConnectCount()`

### getDBSQLExecutionSample

    public long getDBSQLExecutionSample()

  Not supported right now

### getEntityStats

    public TabularData getEntityStats()

  Specified by:
    `getEntityStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getEntityStats()`

### getFlushCount

    public long getFlushCount()

  Specified by:
    `getFlushCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getFlushCount()`

### getOptimisticFailureCount

    public long getOptimisticFailureCount()

  Specified by:
    `getOptimisticFailureCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getOptimisticFailureCount()`

### getPrepareStatementCount

    public long getPrepareStatementCount()

  Specified by:
    `getPrepareStatementCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getPrepareStatementCount()`

### getQueryExecutionCount

    public long getQueryExecutionCount()

  Specified by:
    `getQueryExecutionCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryExecutionCount()`

### getQueryExecutionRate

    public double getQueryExecutionRate()

  Specified by:
    `getQueryExecutionRate` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryExecutionRate()`

### getQueryExecutionSample

    public long getQueryExecutionSample()

  Specified by:
    `getQueryExecutionSample` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryExecutionSample()`

### getQueryStats

    public TabularData getQueryStats()

  Specified by:
    `getQueryStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getQueryStats()`

### getSessionCloseCount

    public long getSessionCloseCount()

  Specified by:
    `getSessionCloseCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getSessionCloseCount()`

### getSessionOpenCount

    public long getSessionOpenCount()

  Specified by:
    `getSessionOpenCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getSessionOpenCount()`

### getSuccessfulTransactionCount

    public long getSuccessfulTransactionCount()

  Specified by:
    `getSuccessfulTransactionCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getSuccessfulTransactionCount()`

### getTransactionCount

    public long getTransactionCount()

  Specified by:
    `getTransactionCount` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getTransactionCount()`

### isStatisticsEnabled

    public boolean isStatisticsEnabled()

  Specified by:
    `isStatisticsEnabled` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.isStatisticsEnabled()`

### setStatisticsEnabled

    public void setStatisticsEnabled(boolean flag)

  Specified by:
    `setStatisticsEnabled` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.setStatisticsEnabled(boolean)`

### getCacheRegionStats

    public TabularData getCacheRegionStats()

  Specified by:
    `getCacheRegionStats` in interface `net.sf.ehcache.hibernate.management.api.HibernateStats`
  See Also:
    `HibernateStats.getCacheRegionStats()`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener,
                                           NotificationFilter filter,
                                           Object handback)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationEmitter`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationEmitter.removeNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        Object handback)
                                 throws IllegalArgumentException

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  Throws:
    `IllegalArgumentException`
  See Also:
    `NotificationBroadcaster.addNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  See Also:
    `NotificationBroadcaster.getNotificationInfo()`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationBroadcaster.removeNotificationListener(javax.management.NotificationListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.